precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main(){
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);

    color2.rgb *= color2.a;

    gl_FragColor = color + color2 - color * color2.a;
}
