attribute vec4 position;
attribute vec4 texCoord;

uniform mat4 vertexMatrix;
uniform mat4 textureMatrix;

varying vec2 textureCoordinate;

void main()
{
    gl_Position = vertexMatrix * position;
    textureCoordinate = (textureMatrix * texCoord).xy;
}