#extension GL_OES_EGL_image_external : require
precision mediump float;

varying vec2 outTexCoord;

uniform samplerExternalOES textureOES;
uniform sampler2D texture;
uniform bool useOES;
uniform float iAlpha;

void main() {
    if (useOES) {
        gl_FragColor = texture2D(textureOES, outTexCoord);
    } else {
        gl_FragColor = texture2D(texture, outTexCoord);
        gl_FragColor.rgb = gl_FragColor.rgb / gl_FragColor.a;
        gl_FragColor.a = gl_FragColor.a / iAlpha;
    }
}