precision highp float;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

varying vec2 textureCoordinate;

void main(void) {
    vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);
    vec4 maskColor = texture2D(inputImageTexture3, vec2(textureCoordinate.x, 1.0 - textureCoordinate.y));

    vec4 color = mix(color1, color2, 1.0 - maskColor.r);

    gl_FragColor = color;
}
