precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform float strength;
uniform vec4 color3Ratio;

void main(){
    vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);
    float c3 = clamp(length(texture2D(inputImageTexture3, textureCoordinate) * color3Ratio), 0., 1.);
    gl_FragColor = mix(color1, color2, strength * c3);
}
