precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D maskTexture1;
uniform sampler2D maskTexture2;

void main(){
    vec4 mask1 = texture2D(maskTexture1, textureCoordinate);
    vec4 mask2 = texture2D(maskTexture2, textureCoordinate);
    if(mask1.a > 0. && mask2.a > 0.){
        gl_FragColor = mask1 * mask2;
    } else {
        gl_FragColor = vec4(0.);
    }

}
