precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main(){
    vec4 mask1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 mask2 = texture2D(inputImageTexture2, textureCoordinate);

    float m1 = mask1.a;
    float m2 = mask2.r;

    gl_FragColor = vec4(min(m1, m2));
}
