
precision highp float;

attribute vec2 position;
uniform vec2 size;
uniform vec2 center;

attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;
void main() {
    gl_Position = vec4((center + vec2(position.x, position.y) * size * 0.5) * 2.0 - 1.0, 0.0, 1.0);
    textureCoordinate = inputTextureCoordinate.xy;
}
