precision highp float;

varying vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform float clipY;

#func_data2offset
#func_offset2data

void main() {
    vec2 uv = textureCoordinate;
    uv.y = clipY + (1.0 - clipY) * uv.y;

    vec2 offset = uv - textureCoordinate;
    vec2 inOffset = data2offset(texture2D(inputImageTexture, textureCoordinate));
    gl_FragColor = offset2data(inOffset + offset);
}