precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform float strength;
uniform float protect;
uniform vec4 color;


void main(){
    vec4 texColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 transparentColor = vec4(0.);
    if (protect == 1.0) {
        gl_FragColor = mix(transparentColor, color, strength * texColor.a);
    } else {
        gl_FragColor = mix(transparentColor, color, strength * (1.0 - texColor.a));
    }
}
