precision highp float;

varying vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform float intensity;

void main() {
    vec2 uv = textureCoordinate;
    
    vec4 source = texture2D(inputImageTexture, uv);
    vec4 target = texture2D(inputImageTexture2, uv);
    float mask = texture2D(inputImageTexture3, uv).r;

    vec4 result = mix(source, target, mask);
    result = mix(source, result, intensity);
    
    gl_FragColor = result;
}