#define V_FLIP

attribute vec2 position;
attribute vec2 inputTextureCoordinate;

varying vec2 srcTexCoord;
varying vec2 maskTexCoord;

void main()
{
    vec2 uv = position.xy;
    #ifdef V_FLIP
    uv.y = 1.0 - uv.y;
    #endif

    srcTexCoord = uv;
    maskTexCoord = inputTextureCoordinate.xy;
    gl_Position = vec4(uv * 2.0 - 1.0, 0.0, 1.0);
}
