uniform sampler2D uTexture;

const lowp int GAUSSIAN_SAMPLES = 9;

varying highp vec2 uTexCoord;
varying highp vec2 uBlurCoords[GAUSSIAN_SAMPLES];

void main() {
    lowp vec3 sum = vec3(0.0);
    lowp vec4 fragColor = texture2D(uTexture, uTexCoord);

    sum += texture2D(uTexture, uBlurCoords[0]).rgb * 0.05;
    sum += texture2D(uTexture, uBlurCoords[1]).rgb * 0.09;
    sum += texture2D(uTexture, uBlurCoords[2]).rgb * 0.12;
    sum += texture2D(uTexture, uBlurCoords[3]).rgb * 0.15;
    sum += texture2D(uTexture, uBlurCoords[4]).rgb * 0.18;
    sum += texture2D(uTexture, uBlurCoords[5]).rgb * 0.15;
    sum += texture2D(uTexture, uBlurCoords[6]).rgb * 0.12;
    sum += texture2D(uTexture, uBlurCoords[7]).rgb * 0.09;
    sum += texture2D(uTexture, uBlurCoords[8]).rgb * 0.05;

    gl_FragColor = vec4(sum, fragColor.a);
}