precision highp float;
uniform sampler2D inputImageTexture;
varying float pRatio;

void main()
{
    vec2 temp = gl_PointCoord * 2.0 - vec2(1.0);
    float dis = dot(temp, temp);
    if (dis >= pRatio) {
        discard; //舍弃
    } else {
        gl_FragColor = vec4(1., 1., 1., 1.) * (1. - smoothstep(0., pRatio * 0.9, dis));
    }
}