precision mediump float;

varying vec2 textureCoordinate;

uniform sampler2D texture;
uniform float exposure;

void main() {
    vec4 color = texture2D(texture, textureCoordinate);
	gl_FragColor = vec4(color.rgb * pow(2.0, exposure), color.a);
}