varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform highp float strength;

void main()
{
    highp vec4 a = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 b = texture2D(inputImageTexture2, textureCoordinate2);
    highp vec3 finalColor = 1.0 - (1.0 - a.rgb) * (1.0 - b.rgb);
    gl_FragColor = vec4(mix(a.rgb, finalColor, strength), 1.0);
}