precision highp float;

varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;

uniform sampler2D inputImageTexture2;

uniform vec2 resulotion;
uniform float a;
uniform float b;

void main() {
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 mask = texture2D(inputImageTexture2, textureCoordinate);
    if (base.a <= 0. || mask.r <= 0.) {
        gl_FragColor = vec4(0.);
        return;
    }

    vec2 ppp = vec2(textureCoordinate.x * resulotion.x, (1. - textureCoordinate.y) * resulotion.y);
    float yy = a * ppp.x + b;
    if (ppp.y < yy) {
        gl_FragColor = mask;
    } else {
        gl_FragColor = vec4(0.);
    }
}