precision highp float;

varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
void main(){
    lowp vec4 base = texture2D(inputImageTexture1, textureCoordinate);
    lowp vec4 mask = texture2D(inputImageTexture2, textureCoordinate);
    gl_FragColor = vec4((1. - pow(1. - base.r, 3.)) * mask.a);
}
