#define sTexture      inputImageTexture

precision highp float;

uniform sampler2D sTexture;

varying vec2 textureCoord;
varying vec4 texBlurShift1;
varying vec4 texBlurShift2;

void main()
{
    vec4 iColor = texture2D(sTexture, textureCoord);
    vec4 sum = iColor.rgba;
    sum += texture2D(sTexture, texBlurShift1.xy).rgba;
    sum += texture2D(sTexture, texBlurShift1.zw).rgba;
    sum += texture2D(sTexture, texBlurShift2.xy).rgba;
    sum += texture2D(sTexture, texBlurShift2.zw).rgba;

    gl_FragColor = vec4(sum * 0.2);
}
