precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;//面部遮罩
uniform sampler2D inputImageTexture2;//嘴巴遮罩
//uniform vec4 color3Ratio;
uniform float strength;
uniform float gam;

void main() {
    vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);
    //    gl_FragColor = vec4(clamp(color1.rgb - pow(color2.b, gam) * strength, 0., 1.),color1.a);
    gl_FragColor = vec4(clamp(color1.rgb * (1. - color2.b) * strength, 0., 1.), color1.a);
}
