precision highp float;

attribute vec4 position;
attribute vec2 texCoord;
varying highp vec2 textureCoordinate;
uniform mat4 vertexMatrix;
uniform mat4 texMatrix;

void main()
{
    gl_Position = vertexMatrix * position;
    textureCoordinate = (texMatrix * vec4(texCoord, 0.0, 1.0)).xy;
}