precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform float strength;
uniform float protect;


void main(){
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);
    vec4 mask = texture2D(inputImageTexture3, textureCoordinate);
    if (mask.a < 0.1) {
        mask.a = 0.0;
    }
    if(protect == 1.0) {
        gl_FragColor = mix(color, color2, strength * mask.a);
    } else {
        gl_FragColor = mix(color, color2, strength * (1.0 - mask.a));
    }
}
